#!/usr/bin/env bash

SCENE_NAME=$1
DATASET_ROOT=/dataset

# undistort images
cd /toc_annotator
python3 undistort_images.py \
    --dataset-root "$DATASET_ROOT" --scene-name "$SCENE_NAME" \
    --resize-factor 1

# generate intermediate files
cd /toc_annotator/dense_reconstruction
python3 generate_orb_slam_associations.py \
    --dataset-root "$DATASET_ROOT" --scene-name "$SCENE_NAME"
python3 npy_params_to_orb_slam.py \
    --dataset-root "$DATASET_ROOT" --scene-name "$SCENE_NAME" \
    --resize-factor 1

# run ORB_SLAM2
cd /opt/ORB_SLAM2
./Examples/RGB-D/rgbd_tum Vocabulary/ORBvoc.txt \
    "$DATASET_ROOT/scenes/$SCENE_NAME/orb_slam_params.yaml" \
    "$DATASET_ROOT/scenes/$SCENE_NAME" \
    "$DATASET_ROOT/scenes/$SCENE_NAME/orb_slam_rgbd_associations.txt"
mv KeyFrameTrajectory.txt "$DATASET_ROOT/scenes/$SCENE_NAME"
mv CameraTrajectory.txt "$DATASET_ROOT/scenes/$SCENE_NAME"
