import cv2
import open3d as o3d
import numpy as np
import shutil
def save_view_point(pcd, filename):
    vis = o3d.visualization.Visualizer()
    vis.create_window(width=1280, height=720)
    vis.add_geometry(pcd)
    print('begin running')
    vis.run()  # user changes the view and press "q" to terminate
    print('run end')
    param = vis.get_view_control().convert_to_pinhole_camera_parameters()
    print('getparams')
    o3d.io.write_pinhole_camera_parameters(filename, param)
    print('param get')
    # vis.destroy_window()


def load_view_point(pcd, filename, image_name):
    vis = o3d.visualization.Visualizer()
    vis.create_window(width=1280, height=720)
    ctr = vis.get_view_control()
    param = o3d.io.read_pinhole_camera_parameters(filename)
    vis.add_geometry(pcd)
    ctr.convert_from_pinhole_camera_parameters(param)
    vis.capture_screen_image(image_name, do_render=True)
    vis.destroy_window()


def main():
    model = 'models/035_power_drill.ply'
    pcd = o3d.io.read_point_cloud(model)
    image_name = '035_power_drill.png'
    json_name = 'temp.json'
    save_view_point(pcd,json_name)
    print('saved')
    load_view_point(pcd,json_name,image_name)
    shutil.move(image_name,'model_image')
    shutil.rmtree(json_name)

if __name__ == '__main__':
    main()
