# Build detectron2 docker
```
docker build --build-arg USER_ID=$UID -t detectron2:v0 .
```

# Start detectron2 docker
```
docker run --gpus all -it \
    --shm-size=8gb --env="DISPLAY" --volume="/tmp/.X11-unix:/tmp/.X11-unix:rw" \
    --volume <toc_annotator>:/toc_annotator --volume <dataset>:/datset \
    --name=detectron2 detectron2:v0
```

# Build pytorch3d docker
```
docker build -f Dockerfile_pytorch3d --build-arg USER_ID=$UID -t pytorch3d:v0 .
```

# Start pytorch3d docker
```
docker run --gpus all -it \
    --shm-size=8gb --env="DISPLAY" --volume="/tmp/.X11-unix:/tmp/.X11-unix:rw" \
    --volume <toc_annotator>:/toc_annotator --volume <dataset>:/datset \
    --name=pytorch3d pytorch3d:v0
```
