#! usr/bin/env python3

from pathlib import Path
import argparse
import shutil

if __name__ == '__main__':
    parser = argparse.ArgumentParser()

    parser.add_argument(
        '--dataset-root', type=Path,
    )

    args = parser.parse_args()
    args_dict = args.__dict__
    dataset_root = args_dict['dataset_root']
    model_list_path = Path('../dataset/object_name_list.txt')
    with model_list_path.open('r') as model_list_file:
        model_list = model_list_file.read().splitlines()
        model_list_file.close()
    with model_list_path.open('a') as model_list_file:
        for model in dataset_root.iterdir():
            if model_list.count(model.name) == 0:
                model_list_file.write('{}\n'.format(model.name))
            if (model/'collision_meshes').exists():
                shutil.rmtree(model/'collision_meshes')
            if (model/'meshes').exists():
                for mesh in (model/'meshes').iterdir():
                    shutil.move(mesh,model/mesh.name)
                (model/'meshes').rmdir()
            if(model/'visual_meshes').exists():
                shutil.move(model/'visual_meshes/visual.ply', model/'visual.ply')
                shutil.rmtree(model/'visual_meshes')
