import argparse
from pathlib import Path
import numpy as np

if __name__ == '__main__':
    parser = argparse.ArgumentParser()
    parser.add_argument(
        '--scene-root', type=Path
    )

    args = parser.parse_args()
    scene_root = args.scene_root

    images_to_remove_path = scene_root/'images_to_remove.txt'

    with images_to_remove_path.open('r') as images_to_remove_file:
        images_to_remove_list = images_to_remove_file.read().splitlines()
        images_to_remove_file.close()

    camera_poses = np.load(scene_root/'camera_poses.npy', allow_pickle=True)
    for images_to_remove in images_to_remove_list:
        if images_to_remove == '':
            continue
        separator = images_to_remove.find('-')
        if separator == -1:
            remove_indices = [int(images_to_remove)]
        else:
            remove_start = int(images_to_remove[:separator])
            remove_end = int(images_to_remove[separator+1:])
            remove_indices = list(range(remove_start, remove_end+1))

        for remove_index in remove_indices:
            if remove_index in camera_poses.item():
                camera_poses.item().pop(remove_index)
    np.save(scene_root/'camera_poses.npy', camera_poses)

