#!/usr/bin/env python
import logging
import datetime
import argparse
from pathlib import Path
import numpy as np
import subprocess
import logging
import datetime

def init_logger():
    logger = logging.getLogger()
    logger.setLevel(logging.INFO)

    fh = logging.FileHandler('../dataset/remove_wrong_images_all_{}.txt'.format(str(datetime.datetime.now())))
    fh.setFormatter(logging.Formatter('%(asctime)-15s -%(levelname)s - %(message)s'))
    fh.setLevel(logging.INFO)

    logger.addHandler(fh)

    return logger

if __name__ == '__main__':
    parser = argparse.ArgumentParser()
    parser.add_argument(
        '--scenes-root', type=Path
    )

    args = parser.parse_args()
    scenes_root = args.scenes_root
    scene_list_path = scenes_root/'..'/'scene_name_list.txt'
    with scene_list_path.open('r') as scene_list_file:
        scene_list = scene_list_file.read().splitlines()
        scene_list_file.close()
    scene_list.sort()

    logger = init_logger()
    for scene_name in scene_list:
        if(scenes_root/scene_name).exists() and (scenes_root/scene_name/'images_to_remove.txt').exists() and (scenes_root/scene_name/'camera_poses.npy').exists():
            cmd = ['python', 'remove_wrong_images.py', '--scene-root', str(scenes_root/scene_name)]
            logger.info('running: ' + ' '.join(cmd))
            ret = subprocess.call(cmd)
            if ret != 0:
                logger.error('Problem with' + ' '.join(cmd))

            cmd = ['python', 'visualize_poses.py', '--dataset-root', str(scenes_root/'..'), '--scene-name', scene_name, '--resize-factor', str(1)]
            logger.info('running: ' + ' '.join(cmd))
            ret = subprocess.call(cmd)
            if ret != 0:
                logger.error('Problem with' + ' '.join(cmd))